diff -Nur olsrd-f7757d63a5d0.orig/src/lq_route.c olsrd-f7757d63a5d0/src/lq_route.c
--- olsrd-f7757d63a5d0.orig/src/lq_route.c	2008-02-29 10:50:43.000000000 +0100
+++ olsrd-f7757d63a5d0/src/lq_route.c	2008-02-29 18:23:29.000000000 +0100
@@ -77,6 +77,15 @@
 static int
 avl_comp_etx (const void *etx1, const void *etx2)
 {       
+#ifdef USE_FPM
+  if (*(const sfpm *)etx1 < *(const sfpm *)etx2) {
+    return -1;
+  }
+
+  if (*(const sfpm *)etx1 > *(const sfpm *)etx2) {
+    return +1;
+  }
+#else
   if (*(const float *)etx1 < *(const float *)etx2) {
     return -1;
   }
@@ -84,6 +93,7 @@
   if (*(const float *)etx1 > *(const float *)etx2) {
     return +1;
   }
+#endif
 
   return 0;
 }
